//
//  YHConsultantQRCodeView.swift
//  galaxy
//
//  Created by edy on 2024/7/4.
//  Copyright © 2024 https://www.galaxy-immi.com. All rights reserved.
//

import UIKit

class YHConsultantQRCodeView: UIView {

    // 底层蒙版
    lazy var blackMaskView: UIView = {
        let view = UIView()
        view.backgroundColor = UIColor.init(hex: 0x000000, alpha: 0.68)
        return view
    }()
    
    lazy var bgImgView: UIImageView = {
        let view = UIImageView(image: UIImage(named: "home_web_consult_bg"))
        view.isUserInteractionEnabled = true
        return view
    }()
    
    lazy var titleLabel: UILabel = {
        let label = UILabel()
        label.text = "专属顾问".local
        label.textColor = UIColor.mainTextColor
        label.textAlignment = .center
        label.font = UIFont.PFSC_B(ofSize: 22)
        return label
    }()
    
    lazy var detailLabel: UILabel = {
        let label = UILabel()
        label.text = "微信扫码添加专属顾问".local
        label.textColor = UIColor.mainTextColor70
        label.textAlignment = .center
        label.font = UIFont.PFSC_R(ofSize: 15)
        return label
    }()
    
    lazy var qrCodeImgView:UIImageView = {
        let view = UIImageView(image: UIImage(named: ""))
        view.backgroundColor = .red
        return view
    }()
    
    lazy var saveBtn: UIButton = {
        let button = UIButton()
        button.titleLabel?.font = UIFont.PFSC_M(ofSize: 14)
        button.setTitle("保存到相册", for: .normal)
        button.setTitleColor( UIColor.white, for: .normal)
        button.backgroundColor = UIColor.brandMainColor
        button.addTarget(self, action: #selector(didSaveQRCodeBtnClicked), for: .touchUpInside)
        button.layer.cornerRadius = 3
        return button
    }()
    
    lazy var closeBtn:UIButton = {
        let btn = UIButton()
        btn.setImage(UIImage(named: "update_close"), for: .normal)
        btn.addTarget(self, action: #selector(didCloseBtnClicked), for: .touchUpInside)
        return btn
    }()
    
    required init?(coder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override init(frame: CGRect) {
        super.init(frame: frame)
        createUI()
    }
    
    static func codeView() -> YHConsultantQRCodeView {
        let alertView = YHConsultantQRCodeView(frame:UIScreen.main.bounds)
        return alertView
    }
    
    @objc func show() {
        UIApplication.shared.yhKeyWindow()?.addSubview(self)
    }
    
    @objc func dismiss() {
        self.removeFromSuperview()
    }
    
    func createUI() {
        self.addSubview(blackMaskView)
        self.addSubview(bgImgView)
        bgImgView.addSubview(titleLabel)
        bgImgView.addSubview(detailLabel)
        bgImgView.addSubview(qrCodeImgView)
        bgImgView.addSubview(saveBtn)
        self.addSubview(closeBtn)

        blackMaskView.snp.makeConstraints { make in
            make.edges.equalToSuperview()
        }
        
        bgImgView.snp.makeConstraints { make in
            make.centerX.equalToSuperview()
            make.centerY.equalToSuperview()
            make.width.equalTo(KScreenWidth-38.0*2)
            make.height.equalTo(bgImgView.snp.width).multipliedBy(491.0/299.0)
        }
        
        titleLabel.snp.makeConstraints { make in
            make.top.equalTo(129.0)
            make.height.equalTo(30.0)
            make.centerX.equalToSuperview()
        }
        
        detailLabel.snp.makeConstraints { make in
            make.top.equalTo(titleLabel.snp.bottom).offset(2.0)
            make.height.equalTo(20.0)
            make.centerX.equalToSuperview()
        }
        
        qrCodeImgView.snp.makeConstraints { make in
            make.top.equalTo(detailLabel.snp.bottom).offset(20.0)
            make.width.height.equalTo(192.0)
            make.centerX.equalToSuperview()
        }
        
        saveBtn.snp.makeConstraints { make in
            make.left.equalTo(24.0)
            make.right.equalTo(-24.0)
            make.top.equalTo(qrCodeImgView.snp.bottom).offset(28.0)
            make.height.equalTo(45.0)
        }
        
        closeBtn.snp.makeConstraints { make in
            make.width.height.equalTo(24)
            make.top.equalTo(bgImgView.snp.bottom).offset(20)
            make.centerX.equalToSuperview()
        }
    }
    
    @objc func didSaveQRCodeBtnClicked() {
        
    }
    
    @objc func didCloseBtnClicked() {
        self.dismiss()
    }
}
